# Created by pyp2rpm-3.3.1
%global pypi_name pytest-mock

%bcond_without check

Name:           python-%{pypi_name}
Version:        3.14.0
Release:        %mkrel 3
Summary:        Thin-wrapper around the mock package for easier use with py
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-mock
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This plugin provides a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package.

Besides undoing the mocking automatically after the end of the test, it also
provides other nice utilities such as spy and stub, and uses pytest
introspection when comparing calls.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This plugin provides a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package.

Besides undoing the mocking automatically after the end of the test, it also
provides other nice utilities such as spy and stub, and uses pytest
introspection when comparing calls.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-w -t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mock

%if %{with check}
%check
export PYTEST_ADDOPTS="-k 'not test_standalone_mock and not test_detailed_introspection and not test_detailed_introspection \
  and not test_assert_called_args_with_introspection and not test_assert_called_kwargs_with_introspection'"
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.14.0-3.mga10
+ Revision: 2237107
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 3.14.0-2.mga10
+ Revision: 2152757
- rebuild for python3.13

* Tue Jul 16 2024 papoteur <papoteur> 3.14.0-1.mga10
+ Revision: 2081720
- new version 3.14.0

* Mon Dec 25 2023 wally <wally> 3.12.0-1.mga10
+ Revision: 2021263
- new version 3.12.0
- use %%pyproject_buildrequires
- rebuild for py3.12

* Sun Oct 02 2022 neoclust <neoclust> 3.9.0-1.mga9
+ Revision: 1893962
- New version 3.9.0

* Wed Sep 07 2022 neoclust <neoclust> 3.8.2-1.mga9
+ Revision: 1885145
- New version  3.8.2

* Thu Mar 31 2022 umeabot <umeabot> 3.7.0-2.mga9
+ Revision: 1837207
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 wally <wally> 3.7.0-1.mga9
+ Revision: 1773543
- new version 3.7.0
- rebuild for python3.10

* Thu Sep 02 2021 wally <wally> 3.6.1-1.mga9
+ Revision: 1744077
- new version 3.6.1

* Mon Apr 05 2021 joequant <joequant> 3.5.1-2.mga9
+ Revision: 1713525
- update to python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 3.5.1-1.mga9
+ Revision: 1695331
- new version 3.5.1

* Wed Nov 25 2020 guillomovitch <guillomovitch> 3.3.1-1.mga8
+ Revision: 1649302
- new version 3.3.1

* Sun Feb 16 2020 umeabot <umeabot> 1.10.4-3.mga8
+ Revision: 1535322
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.10.4-2.mga8
+ Revision: 1451727
- rebuild with python 3.8

* Fri Aug 09 2019 shlomif <shlomif> 1.10.4-1.mga8
+ Revision: 1428459
- New version 1.10.4 - deprecate py2.x

* Fri Mar 15 2019 shlomif <shlomif> 1.10.1-1.mga7
+ Revision: 1377721
- New version 1.10.1

* Mon Jan 07 2019 shlomif <shlomif> 1.9.0-3.mga7
+ Revision: 1350293
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.9.0-2.mga7
+ Revision: 1289876
- Mageia 7 Mass Rebuild

* Tue May 01 2018 shlomif <shlomif> 1.9.0-1.mga7
+ Revision: 1224268
- build fixes
- pyp2rpm

